// (C) 2007-2025 GoodData Corporation
import React from "react";
import { DateRangePicker } from "../DateRangePicker/DateRangePicker.js";
import { dateFilterValueToDateRange, dateRangeToDateFilterValue } from "./conversions.js";
const dayPickerProps = {
    mode: "range",
    weekStartsOn: 0, // Sunday, regardless of locale
};
/**
 * @internal
 */
export const AbsoluteDateFilterForm = ({ dateFormat, isMobile, selectedFilterOption, errors, isTimeEnabled, weekStart, shouldOverlayDatePicker, onSelectedFilterOptionChange, onKeyDown, }) => {
    const handleRangeChange = (range, changeDetails) => {
        onSelectedFilterOptionChange(dateRangeToDateFilterValue(range, selectedFilterOption.localIdentifier, isTimeEnabled), changeDetails);
    };
    return (React.createElement("div", { onKeyDown: onKeyDown },
        React.createElement(DateRangePicker, { dateFormat: dateFormat, onRangeChange: handleRangeChange, range: dateFilterValueToDateRange(selectedFilterOption, isTimeEnabled), errors: errors, isMobile: isMobile, dayPickerProps: dayPickerProps, isTimeEnabled: isTimeEnabled, weekStart: weekStart, shouldOverlayDatePicker: shouldOverlayDatePicker })));
};
//# sourceMappingURL=AbsoluteDateFilterForm.js.map