// (C) 2025 GoodData Corporation
import React from "react";
import { isAbsoluteDateFilterForm } from "@gooddata/sdk-model";
import cx from "classnames";
import { ListItem } from "../ListItem/ListItem.js";
import { FormattedMessage } from "react-intl";
import { DateFilterFormWrapper } from "../DateFilterFormWrapper/DateFilterFormWrapper.js";
import { AbsoluteDateFilterForm } from "./AbsoluteDateFilterForm.js";
import { submitAbsoluteAndRelativeDateFilterForm } from "../accessibility/keyboardNavigation.js";
import isEmpty from "lodash/isEmpty.js";
const ITEM_CLASS_MOBILE = "gd-date-filter-item-mobile";
export const AbsoluteDateFilterFormSection = ({ filterOptions, selectedFilterOption, dateFormat, errors, weekStart, isTimeForAbsoluteRangeEnabled, isMobile, route, changeRoute, onSelectedFilterOptionChange, closeDropdown, onApplyClick, }) => {
    if (!filterOptions.absoluteForm) {
        return null;
    }
    const isSelected = filterOptions.absoluteForm.localIdentifier === selectedFilterOption.localIdentifier;
    const isOnRoute = route === "absoluteForm";
    return (React.createElement(React.Fragment, null,
        !isMobile || !isOnRoute ? (React.createElement(ListItem, { isSelected: isSelected, onClick: () => {
                changeRoute("absoluteForm");
                if (!isAbsoluteDateFilterForm(selectedFilterOption)) {
                    onSelectedFilterOptionChange(filterOptions.absoluteForm);
                }
            }, className: cx("s-absolute-form", "s-do-not-close-dropdown-on-click", isMobile && ITEM_CLASS_MOBILE) }, filterOptions.absoluteForm.name ? (filterOptions.absoluteForm.name) : (React.createElement(FormattedMessage, { id: "filters.staticPeriod" })))) : null,
        isSelected && (!isMobile || isOnRoute) ? (React.createElement(DateFilterFormWrapper, { isMobile: isMobile },
            React.createElement(AbsoluteDateFilterForm, { dateFormat: dateFormat, errors: errors?.absoluteForm || undefined, onSelectedFilterOptionChange: onSelectedFilterOptionChange, selectedFilterOption: selectedFilterOption, isMobile: isMobile, isTimeEnabled: isTimeForAbsoluteRangeEnabled, weekStart: weekStart, onKeyDown: (event) => submitAbsoluteAndRelativeDateFilterForm(event, isEmpty(errors), closeDropdown, onApplyClick) }))) : null));
};
//# sourceMappingURL=AbsoluteDateFilterFormSection.js.map