import React from "react";
import { WrappedComponentProps, IntlShape } from "react-intl";
import { IDateTimePickerErrors, DateParseError } from "../interfaces/index.js";
interface IDateTimePickerAccessibilityConfig {
    dateAriaLabel?: React.AriaAttributes["aria-label"];
    timeAriaLabel?: React.AriaAttributes["aria-label"];
    dateInputHintId?: string;
    timeInputHintId?: string;
}
interface IDateTimePickerOwnProps {
    dateFormat: string;
    onChange: (value: Date, error?: DateParseError) => void;
    onInputMarkedValid: (date: Date) => void;
    value: Date;
    handleDayClick: () => void;
    isMobile: boolean;
    isTimeEnabled: boolean;
    className: string;
    onKeyDown: (e: React.KeyboardEvent<HTMLInputElement>) => void;
    defaultTime?: string;
    errors?: IDateTimePickerErrors;
    accessibilityConfig?: IDateTimePickerAccessibilityConfig;
    dateInputLabel?: string;
    timeInputLabel?: string;
    intl: IntlShape;
}
type DateTimePickerComponentProps = IDateTimePickerOwnProps & WrappedComponentProps;
declare const DateTimePickerWithIntl: React.ForwardRefExoticComponent<Omit<import("react-intl").WithIntlProps<React.PropsWithChildren<IDateTimePickerOwnProps & WrappedComponentProps & React.RefAttributes<HTMLInputElement>>>, "ref"> & React.RefAttributes<any>> & {
    WrappedComponent: React.ComponentType<IDateTimePickerOwnProps & WrappedComponentProps & React.RefAttributes<HTMLInputElement>>;
};
export type { DateTimePickerComponentProps };
export { DateTimePickerWithIntl };
//# sourceMappingURL=DateTimePicker.d.ts.map